=== debian/changelog ===
ros-indigo-qt-paramedit (1.0.0-2trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Christian Dornhege <c.dornhege@gmail.com>  Wed, 13 Apr 2016 12:31:33 -0000
