=== debian/control ===
Source: ros-indigo-qt-paramedit
Section: misc
Priority: extra
Maintainer: Christian Dornhege <c.dornhege@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libqt4-dev, ros-indigo-catkin, ros-indigo-roscpp
Homepage: http://ros.org/wiki/qt_paramedit
Standards-Version: 3.9.2

Package: ros-indigo-qt-paramedit
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-dbus, libqt4-network, libqt4-script, libqt4-test, libqt4-xml, libqtcore4, ros-indigo-roscpp
Description: A GUI application for viewing and editing ROS parameters.
